Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.util
Class ClassQueue

    java.lang.Object
      |
      +--org.apache.bcel.util.ClassQueue

All Implemented Interfaces:
  java.io.Serializable

public class ClassQueue
extends java.lang.Object
implements java.io.Serializable

Utility class implementing a (typesafe) queue of JavaClass objects.

Version:
  $Id: ClassQueue.java,v 1.5 2002/11/20 18:40:55 mdahm Exp $
Author:
  M. Dahm
See Also:
  `ClassVector`, Serialized Form

Field Summary
`protected java.util.LinkedList` | `vec`

Constructor Summary
`ClassQueue()`

Method Summary
`JavaClass` | `dequeue()`
`boolean` | `empty()`
`void` | `enqueue(JavaClass clazz)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### vec

    protected java.util.LinkedList vec

Constructor Detail

### ClassQueue

    public ClassQueue()

Method Detail

### enqueue

    public void enqueue(JavaClass clazz)

### dequeue

    public JavaClass dequeue()

### empty

    public boolean empty()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.